# Class StreamingHandler

java.lang.Object
uk.ac.starlink.ttools.votlint.ElementHandler
uk.ac.starlink.ttools.votlint.StreamingHandler

Direct Known Subclasses:
  `BinaryHandler, FitsHandler`

public abstract class StreamingHandler extends ElementHandler
Abstract handler superclass for elements with STREAM children (BINARY or FITS).

Since:
  8 Apr 2005
Author:
  Mark Taylor (Starlink)

## Constructor Summary

Constructors
Constructor
Description
`StreamingHandler()`

## Method Summary

Modifier and Type
Method
Description
`abstract void`
`feed(InputStream in)`
Consumes a decoded input stream containing the data of a table, encoded according to the rules specified by this element.
`protected void`
`foundRow()`
Invoked to log that a row has been counted (used for keeping track of how many have been seen).
`FieldHandler[]`
`getFields()`
Returns the fields used for this stream.
`void`
`startElement()`
Called after the attributes have been set and checked.

### Methods inherited from class ElementHandler

`characters, configure, endElement, error, getAncestry, getAttribute, getContext, getName, getRef, info, registerChildName, setAncestry, setAttributes, toString, warning`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### StreamingHandler

public StreamingHandler()

## Method Details

### startElement

public void startElement()
Description copied from class: `ElementHandler`
Called after the attributes have been set and checked. The default implementation does nothing.

Overrides:
  `startElement` in class `ElementHandler`

### getFields

public FieldHandler[] getFields()
Returns the fields used for this stream.

Returns:
  FieldHandler objects for the columns held in this stream

### foundRow

protected void foundRow()
Invoked to log that a row has been counted (used for keeping track of how many have been seen).

### feed

public abstract void feed(InputStream in) throws IOException
Consumes a decoded input stream containing the data of a table, encoded according to the rules specified by this element.

Parameters:
  `in` - input stream to read
Throws:
  `IOException`